USE [master]
GO

DROP DATABASE IF EXISTS [$(myDB)]
GO


CREATE DATABASE [$(myDB)]
 CONTAINMENT = NONE
 ON  PRIMARY
( NAME = N'$(myDB)', FILENAME = N'C:\Microsoft SQL Server\MSSQL16.MSSQLSERVER\MSSQL\DATA\$(myDB).mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON
( NAME = N'$(myDB)_log', FILENAME = N'C:\Microsoft SQL Server\MSSQL16.MSSQLSERVER\MSSQL\DATA\$(myDB)_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
 WITH CATALOG_COLLATION = DATABASE_DEFAULT, LEDGER = OFF
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [$(myDB)].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [$(myDB)] SET ANSI_NULL_DEFAULT OFF
GO

ALTER DATABASE [$(myDB)] SET ANSI_NULLS OFF
GO

ALTER DATABASE [$(myDB)] SET ANSI_PADDING OFF
GO

ALTER DATABASE [$(myDB)] SET ANSI_WARNINGS OFF
GO

ALTER DATABASE [$(myDB)] SET ARITHABORT OFF
GO

ALTER DATABASE [$(myDB)] SET AUTO_CLOSE OFF
GO

ALTER DATABASE [$(myDB)] SET AUTO_SHRINK OFF
GO

ALTER DATABASE [$(myDB)] SET AUTO_UPDATE_STATISTICS ON
GO

ALTER DATABASE [$(myDB)] SET CURSOR_CLOSE_ON_COMMIT OFF
GO

ALTER DATABASE [$(myDB)] SET CURSOR_DEFAULT  GLOBAL
GO

ALTER DATABASE [$(myDB)] SET CONCAT_NULL_YIELDS_NULL OFF
GO

ALTER DATABASE [$(myDB)] SET NUMERIC_ROUNDABORT OFF
GO

ALTER DATABASE [$(myDB)] SET QUOTED_IDENTIFIER OFF
GO

ALTER DATABASE [$(myDB)] SET RECURSIVE_TRIGGERS OFF
GO

ALTER DATABASE [$(myDB)] SET  DISABLE_BROKER
GO

ALTER DATABASE [$(myDB)] SET AUTO_UPDATE_STATISTICS_ASYNC OFF
GO

ALTER DATABASE [$(myDB)] SET DATE_CORRELATION_OPTIMIZATION OFF
GO

ALTER DATABASE [$(myDB)] SET TRUSTWORTHY OFF
GO

ALTER DATABASE [$(myDB)] SET ALLOW_SNAPSHOT_ISOLATION OFF
GO

ALTER DATABASE [$(myDB)] SET PARAMETERIZATION SIMPLE
GO

ALTER DATABASE [$(myDB)] SET READ_COMMITTED_SNAPSHOT OFF
GO

ALTER DATABASE [$(myDB)] SET HONOR_BROKER_PRIORITY OFF
GO

ALTER DATABASE [$(myDB)] SET RECOVERY FULL
GO

ALTER DATABASE [$(myDB)] SET  MULTI_USER
GO

ALTER DATABASE [$(myDB)] SET PAGE_VERIFY CHECKSUM
GO

ALTER DATABASE [$(myDB)] SET DB_CHAINING OFF
GO

ALTER DATABASE [$(myDB)] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF )
GO

ALTER DATABASE [$(myDB)] SET TARGET_RECOVERY_TIME = 60 SECONDS
GO

ALTER DATABASE [$(myDB)] SET DELAYED_DURABILITY = DISABLED
GO

ALTER DATABASE [$(myDB)] SET ACCELERATED_DATABASE_RECOVERY = OFF
GO

ALTER DATABASE [$(myDB)] SET QUERY_STORE = ON
GO

ALTER DATABASE [$(myDB)] SET QUERY_STORE (OPERATION_MODE = READ_WRITE, CLEANUP_POLICY = (STALE_QUERY_THRESHOLD_DAYS = 30), DATA_FLUSH_INTERVAL_SECONDS = 900, INTERVAL_LENGTH_MINUTES = 60, MAX_STORAGE_SIZE_MB = 1000, QUERY_CAPTURE_MODE = AUTO, SIZE_BASED_CLEANUP_MODE = AUTO, MAX_PLANS_PER_QUERY = 200, WAIT_STATS_CAPTURE_MODE = ON)
GO

ALTER DATABASE [$(myDB)] SET  READ_WRITE
GO

